Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Create and manage classes nested under a course.
POST
/courses/:courseId/classes
GET
/courses/:courseId/classes/:classId
PUT
DELETE
name
startDate
endDate
classMode
"in-person"
"online"
"hybrid"
curl -X POST "https://app.coraltalk.com/api/v1/prod/courses/COURSE_ID/classes" \ -H "Authorization: Bearer ct_live_YOUR_KEY" \ -H "Content-Type: application/json" \ -d '{ "name": "CS 201 — Fall 2026", "classMode": "hybrid" }'
_id
classId
Was this page helpful?